Apache Tomcat 6.0.53

## org.apache.catalina.servlets
Class DefaultServlet.Range

    java.lang.Object
      org.apache.catalina.servlets.DefaultServlet.Range

Enclosing class:
  DefaultServlet

    protected class DefaultServlet.Range

extends java.lang.Object

Field Summary
`long` | `end`
`long` | `length`
`long` | `start`

Constructor Summary
`protected` | `DefaultServlet.Range()`

Method Summary
`void` | `recycle()`
`boolean` | `validate()` Validate range.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### start

    public long start

### end

    public long end

### length

    public long length

Constructor Detail

### DefaultServlet.Range

    protected DefaultServlet.Range()

Method Detail

### validate

    public boolean validate()

  Validate range.

### recycle

    public void recycle()

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.